package com.idiot.operationbackend.controller;

import com.idiot.operationbackend.entity.Account;
import com.idiot.operationbackend.service.facade.AccountService;
import com.idiot.operationbackend.support.JsonResult;
import com.idiot.operationbackend.util.JwtTokenUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author wang xiao
 * @date Created in 19:50 2020/9/10
 */
@RestController
@RequestMapping("/account")
@Api(value = "AccountController", tags ="公众号")
public class AccountController {

    private final Logger logger = LoggerFactory.getLogger(AccountController.class);


    @Autowired
    private AccountService accountService;

    @GetMapping
    @ApiOperation(value = "查询公众号列表")
    public ResponseEntity<JsonResult<List<Account>>> list (@RequestHeader(value = "AUTH_TOKEN") String token) {

        String userId = JwtTokenUtil.getUserId(token);
        logger.info("用户:{}查询公众号列表",userId);
        accountService.list();
        return null;
    }
}
